toolzerhub API Docs

Get ATP, WTA, FIFA and other rankings (v1)

Returns a ranking table, such as ATP, WTA, FIFA or UEFA club coefficients, with rank, points, previous rank and best rank.

1 credit / requestBilled only on success
GET
/v1/sofascore/rankings

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

type?string

atp, wta, atp-race, wta-race, fifa, uefa-countries, uefa-clubs, rugby-men or rugby-women.

Default"atp"

Value in

  • "atp"
  • "wta"
  • "atp-race"
  • "wta-race"
  • "fifa"
  • "uefa-countries"
  • "uefa-clubs"
  • "rugby-men"
  • "rugby-women"
curl -X GET "https://example.com/v1/sofascore/rankings" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "type": "atp",    "updated_at": "string",    "count": 0,    "rankings": [      {        "rank": 0,        "name": "string",        "team": {          "id": 0,          "name": "string",          "short_name": "string",          "slug": "string",          "name_code": "string",          "national": true,          "gender": "string",          "country": {            "code": "string",            "name": "string"          },          "ranking": 0        },        "points": 0,        "previous_rank": 0,        "previous_points": 0,        "best_rank": 0,        "tournaments_played": 0,        "country": {          "code": "string",          "name": "string"        }      }    ]  },  "details": {    "reason": "string",    "message": "string"  }}